.burger-icon {
  width: 28px;
  height: 28px;
  margin-right: 4px;
  position: relative;
  transform: rotate(0deg);
  transition: .5s ease-in-out;
  cursor: pointer; }
  .burger-icon span {
    display: block;
    position: absolute;
    height: 2px;
    right: 0;
    background: #fff;
    border-radius: 2px;
    opacity: 1;
    left: 1px;
    transform: rotate(0deg);
    transition: .25s ease-in-out; }
    .burger-icon span:nth-child(1) {
      top: 5px;
      margin: auto; }
    .burger-icon span:nth-child(2) {
      top: 14px;
      left: 10px; }
    .burger-icon span:nth-child(3) {
      top: 14px;
      left: 10px; }
    .burger-icon span:nth-child(4) {
      top: 22px;
      left: 16px;
      margin: auto; }
  .burger-icon.active span:nth-child(1) {
    display: none; }
  .burger-icon.active span:nth-child(2) {
    -webkit-transform: rotate(45deg);
    -moz-transform: rotate(45deg);
    -o-transform: rotate(45deg);
    transform: rotate(45deg); }
  .burger-icon.active span:nth-child(3) {
    top: 14px;
    -webkit-transform: rotate(-45deg);
    -moz-transform: rotate(-45deg);
    -o-transform: rotate(-45deg);
    transform: rotate(-45deg); }
  .burger-icon.active span:nth-child(4) {
    display: none; }
